package visual;

import experiment.ExperimentState;
import experiment.event.topology.NodeEvent;
import experiment.event.topology.LinkEvent;
import experiment.entity.Node;
import experiment.entity.Link;

import java.util.Collection;
import java.util.Date;

import walker.exceptions.badSyntaxException;

/**
 * Created by IntelliJ IDEA.
 * User: andy
 * Date: Apr 8, 2010
 */
public class Tester extends Thread{

    private ExperimentState state;
    // private Player player;

    public Tester(ExperimentState state, Player player){
        // this.player = player;
        this.state = state;
    }
    public void run() {

//        int i =0;
//        while (i<1000){
//            player.incrementProgress();
//            try {
//                Thread.sleep(100);
//            } catch (InterruptedException e) {
//                e.printStackTrace();
//            }
//        }


        try {
            Thread.sleep(3000);


            Date time = new Date();
            int a = 0;
            Collection<Node> nodes = state.getNodeSet();
            System.out.println("disabling Entities");
            for (Node node : nodes){
                new NodeEvent(time.getTime(), node.getId(), false).apply(state);
//                if (a<2){
//                    node.getEntity3d().scale();
//                    a++;
//                }
                for (Link link: node.getLinkSet()){
                    new LinkEvent(time.getTime(), node.getId(), link.getTarget().getId() , false).apply(state);
                    Thread.sleep(500);
                }
                Thread.sleep(500);
            }

            System.out.println("enabling Entities");
            for (Node node: nodes){
                new NodeEvent(time.getTime(), node.getId(), true).apply(state);
//            node.getEntity3d().reden();

                for (Link link: node.getLinkSet()){
                    new LinkEvent(time.getTime(), node.getId(), link.getTarget().getId() , true).apply(state);
                    Thread.sleep(500);
                }
                Thread.sleep(500);
            }


        } catch (InterruptedException e) {
            e.printStackTrace();
        } catch (badSyntaxException e) {
            e.printStackTrace();
        }
    }
}
