package walker;

import visual.Crawler;

import javax.xml.stream.XMLStreamException;
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

import static walker.utilities.Output.print;
import walker.exceptions.endDocumentException;

/**
 * Created by IntelliJ IDEA.
 * User: andy
 * Date: Apr 20, 2010
 */
public class Test {

    InputStream iStream;
    ExtendedXMLStreamReader reader;

    public Test(String fileName) throws FileNotFoundException, XMLStreamException {
        iStream = new FileInputStream(fileName);
         reader = new ExtendedXMLStreamReader(iStream);
        
        print(loop());
    }

    private long loop() throws XMLStreamException {
        print(reader.getReader().getLocation().getCharacterOffset());
        while(reader.getReader().hasNext()){
            try {
                reader.nextStaxElement();
            } catch (endDocumentException e) {
                e.printStackTrace();
            }
            reader.debug();
            if (reader.getReader().isEndElement() && reader.getReader().getLocalName().equals("wiseml")){
                break;
            }
        }
        return reader.getReader().getLocation().getCharacterOffset();
    }
}
